[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Unix' (#rtl)

# TellDir

Return current location in a directory

## Declaration

Source position: unix.pp line 101

`function TellDir(`
`p: pDir`
`):TOff;`

## Description

TellDir returns the current location in the directory structure pointed to by p. It returns -1 on failure.

For an example, see #rtl.baseunix.fpOpenDir.

## See also

#rtl.baseunix.fpCloseDir |  | Close directory file descriptor
#rtl.baseunix.fpReadDir |  | Read entry from directory
#rtl.baseunix.fpOpenDir |  | Open a directory for reading
SeekDir |  | Seek to position in directory